Skip to main content
GET
/
webhooks
/
{webhookId}
/
notifications
TypeScript
const response: Promise<FireblocksResponse<NotificationPaginatedResponse>> = fireblocks.webhooksV2.getNotifications(webhooksV2ApiGetNotificationsRequest);
{
  "data": [
    {
      "id": "44fcead0-7053-4831-a53a-df7fb90d440f",
      "createdAt": 1625126400000,
      "updatedAt": 1625126400000,
      "status": "COMPLETED",
      "eventType": "transaction.created",
      "resourceId": "44fcead0-7053-4831-a53a-df7fb90d440f"
    }
  ],
  "total": 100,
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

webhookId
string<uuid>
required
Example:

"44fcead0-7053-4831-a53a-df7fb90d440f"

Query Parameters

order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC
Example:

"ASC"

sortBy
enum<string>
default:updatedAt

Sort by field

Available options:
id,
createdAt,
updatedAt,
status,
eventType,
resourceId
Example:

"id"

pageCursor
string

Cursor of the required page

pageSize
number
default:100

Maximum number of items in the page

Required range: 1 <= x <= 100
Example:

10

startTime
number

Start time in milliseconds since epoch to filter by notifications created after this time (default 31 days ago)

Example:

1625097600000

endTime
number

End time in milliseconds since epoch to filter by notifications created before this time (default current time)

Example:

1625017600000

statuses
enum<string>[]

List of notification statuses to filter by

The status of the Notification

Available options:
COMPLETED,
FAILED,
IN_PROGRESS,
ON_HOLD
events
enum<string>[]

List of webhook event types to filter by

Available options:
transaction.created,
transaction.status.updated,
transaction.approval_status.updated,
transaction.network_records.processing_completed,
external_wallet.asset.added,
external_wallet.asset.removed,
internal_wallet.asset.added,
internal_wallet.asset.removed,
contract_wallet.asset.added,
contract_wallet.asset.removed,
vault_account.created,
vault_account.asset.added,
vault_account.asset.balance_updated,
embedded_wallet.status.updated,
embedded_wallet.created,
embedded_wallet.asset.balance_updated,
embedded_wallet.asset.added,
embedded_wallet.account.created,
embedded_wallet.device.added,
onchain_data.updated,
connection.added,
connection.removed,
connection.request.waiting_peer_approval,
connection.request.rejected_by_peer
resourceId
string

Resource ID to filter by

Example:

"44fcead0-7053-4831-a53a-df7fb90d440f"

Response

A paginated response containing NotificationExternalDTO objects

data
object[]
required

The data of the current page

total
number | null

The total number of notifications after all filters applied (not returned when 'pageCursor' parameter is used)

Example:

100

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"